commit:     2d47a0ce7b1e6cd489911ee023949ba79a9f33d6
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 23 07:23:19 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Thu Sep 23 07:23:19 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d47a0ce

net-im/rocketchat-desktop-bin: add version 3.5.6

Package-Manager: Portage-3.0.23, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 net-im/rocketchat-desktop-bin/Manifest             |  1 +
 .../rocketchat-desktop-bin-3.5.6.ebuild            | 54 ++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/net-im/rocketchat-desktop-bin/Manifest 
b/net-im/rocketchat-desktop-bin/Manifest
index d36d1e46626..000625f085a 100644
--- a/net-im/rocketchat-desktop-bin/Manifest
+++ b/net-im/rocketchat-desktop-bin/Manifest
@@ -1 +1,2 @@
 DIST rocketchat-3.5.5.x86_64.rpm 58601332 BLAKE2B 
7f54c2c3d75925a485e6f23c8d933977571b3d90e22c61bcde19be050ed4c7b12d090bcdd314bc8dca963c7ae860f87c57bca7d1421bc71b72a707deca996a7b
 SHA512 
230c532096abfee0877b381b89663adee99b42043b3cd1a1ee0491d6b77eff170a8ac5f3e9385aa279ff16c1cc3839c86621e444eb1a9954e00783981161ae9e
+DIST rocketchat-3.5.6.x86_64.rpm 58606472 BLAKE2B 
53ac80902188314b3b820ec0f7fdfa42ee9fbace83655240eeec7375f5ba110fb1bb2729ca901c870c50ae915cf1cec621c9e3c0e4eae7ffdf0a87100cf8e816
 SHA512 
d89fbd99132e3758b67ec45492f0b1f5013779b612b793e54f9ea64040ab75951246500f0c9c0c860f411ce92781af37f2aff2588c8424b3659ee2aa0ea4f4e2

diff --git a/net-im/rocketchat-desktop-bin/rocketchat-desktop-bin-3.5.6.ebuild 
b/net-im/rocketchat-desktop-bin/rocketchat-desktop-bin-3.5.6.ebuild
new file mode 100644
index 00000000000..46fc3d26d95
--- /dev/null
+++ b/net-im/rocketchat-desktop-bin/rocketchat-desktop-bin-3.5.6.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2019-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit rpm xdg
+
+DESCRIPTION="The Ultimate Open Source Web Chat Platform"
+HOMEPAGE="https://rocket.chat";
+SRC_URI="https://github.com/RocketChat/Rocket.Chat.Electron/releases/download/${PV}/rocketchat-${PV}.x86_64.rpm";
+
+KEYWORDS="-* ~amd64"
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+       app-accessibility/at-spi2-atk:2
+       dev-libs/atk
+       dev-libs/expat
+       dev-libs/libappindicator
+       dev-libs/nspr
+       dev-libs/nss
+       media-fonts/noto-emoji
+       media-libs/alsa-lib
+       net-print/cups
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf:2
+       x11-libs/gtk+:3
+       x11-libs/libnotify
+       x11-libs/libxcb
+       x11-libs/libX11
+       x11-libs/libXcomposite
+       x11-libs/libXcursor
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXi
+       x11-libs/libxkbcommon
+       x11-libs/libXrandr
+       x11-libs/libXrender
+       x11-libs/libXtst
+       x11-libs/libXScrnSaver
+       x11-libs/pango
+"
+
+QA_PREBUILT="/opt/Rocket.Chat/*"
+
+S="${WORKDIR}"
+
+src_install() {
+       # remove files useless for Gentoo
+       rm -r usr/lib || die
+       mv "${S}"/* "${ED}" || die
+}

Reply via email to